@cryptotaxi247 / netdata-1 / commits / 8e46581d8

add --repositories-only flag (#12806)

maneamarius committed May 4, 2022 at 11:03 UTC 8e46581d822180b2bf6874372492e44203a1406e
2 files changed +13
packaging/installer/kickstart.sh
+12
@@ -130,6 +130,7 @@ USAGE: kickstart.sh [options]
130 --auto-update Enable automatic updates.
131 --auto-update-type Specify a particular scheduling type for auto-updates (valid types: systemd, interval, crontab)
132 --disable-telemetry Opt-out of anonymous statistics.
133 + --repositories-only Only install appropriate repository configuration packages (only for native install).
134 --native-only Only install if native binary packages are available.
135 --static-only Only install if a static build is available.
136 --build-only Only install using a local build.
@@ -1331,6 +1332,14 @@ try_package_install() {
1332 progress "Repository configuration is already present, attempting to install netdata."
1333 fi
1334
1335 + if [ "${REPO_ACTION}" = "repositories-only" ]; then
1336 + progress "Successfully installed repository configuraion package."
1337 + deferred_warnings
1338 + cleanup
1339 + trap - EXIT
1340 + exit 1
1341 + fi
1342 +
1343 if ! check_special_native_deps; then
1344 warning "Could not find secondary dependencies for ${DISTRO} on ${SYSARCH}."
1345 if [ -z "${NO_CLEANUP}" ]; then
@@ -1776,6 +1785,9 @@ while [ -n "${1}" ]; do
1785 "--reinstall-clean")
1786 ACTION="reinstall-clean"
1787 ;;
1788 + "--repositories-only")
1789 + REPO_ACTION="repositories-only"
1790 + ;;
1791 "--native-only")
1792 NETDATA_ONLY_NATIVE=1
1793 NETDATA_ONLY_STATIC=0
packaging/installer/methods/kickstart.md
+1
@@ -59,6 +59,7 @@ The `kickstart.sh` script accepts a number of optional parameters to control how
59 - `--auto-update`: Enable automatic updates (this is the default).
60 - `--no-updates`: Disable automatic updates.
61 - `--disable-telemetry`: Disable anonymous statistics.
62 +- `--repositories-only`: Only install appropriate repository configuration packages (only for native install).
63 - `--native-only`: Only install if native binary packages are available.
64 - `--static-only`: Only install if a static build is available.
65 - `--build-only`: Only install using a local build.